@echo off
rem -------------------------------------------------------------------------------
rem Configure WebSphere MQ permissions Script
rem
rem Arguments: QueueManagerName RITUserName PuttingApplicationUserName
rem
rem QueueManagerName
rem          The name of the local queue manager to configure permissions for.
rem RITUserName
rem          The name of the user ID configured in the physical resources in
rem          Rational Integration Tester.
rem PuttingApplicationUserName
rem          The name of the user ID used by the existing application putting
rem          messages onto MQ queues.
rem -------------------------------------------------------------------------------

setlocal

if x%3x==xx goto PrintUsage

rem Dump all existing queue manager athorities to file prior to running the setmqaut commands
dmpmqaut -m %1 > preAliasRecordingAuthorityBackup.aut 2>&1

setmqaut -m %1 -t qmgr -p %2 +connect +inq +dsp
setmqaut -m %1 -n "Q_ALIAS" -t q -p %2 +chg +dsp +crt +dlt
setmqaut -m %1 -n "Q_ALIAS.*" -t q -p %2 +chg +dsp +crt +dlt
setmqaut -m %1 -n "SYSTEM.DEFAULT.LOCAL.QUEUE" -t q -p %2 +dsp
setmqaut -m %1 -n "*_GH" -t topic -p %2 +chg +dlt +dsp +ctrl +crt
setmqaut -m %1 -n "SYSTEM.DEFAULT.TOPIC" -t topic -p %2 +dsp

setmqaut -m %1 -t qmgr -p %3 +connect +inq
setmqaut -m %1 -n "Q_ALIAS.*" -t q -p %3 +put
setmqaut -m %1 -n "*_GH" -t topic -p %3 +pub

goto End

:PrintUsage
echo arguments: QueueManagerName RITUserName PuttingApplicationUserName

:End

endlocal